View Issue Details

IDProjectCategoryLast Update
0027519AI War 2Bug - GameplayAug 7, 2022 9:40 am
ReporterDismiss Assigned ToBadgerBadger  
Severityminor 
Status resolvedResolutionfixed 
Product Version5.500 Classic Fusion, And A Megaton Otherwise 
Fixed in Version5.504 
Summary0027519: transport permanently multi-phase
DescriptionI don't know exactly when or how this transport got multi-phased but it appears to be permanent. Persists reloading the save as well.
TagsNo tags attached.

Relationships

has duplicate 0027551 resolvedBadgerBadger Multi-phase bug 

Activities

Dismiss

Jul 12, 2022 8:35 pm

developer  

11.save (368,319 bytes)

Dismiss

Jul 21, 2022 8:29 pm

developer   ~0067107

In discord discussions we think this is do to stacks of ships which cause multiphase actually -multiplying- the multi-phase time by the stack size. IMO this makes no sense. If these were individual ships only the first shot would cause multiphase, and it would be for the duration it always is for. This behavior is radically different when the ships are stacked and can result in a ship being phased out for unbounded amounts of time. IMO stacked ships just shouldn't multiply the duration, since the shots will actually NOT HIT. The damage calculated should probably account for this too.

BadgerBadger

Aug 6, 2022 10:48 pm

manager   ~0067130

Fixed

Issue History

Date Modified Username Field Change
Jul 12, 2022 8:35 pm Dismiss New Issue
Jul 12, 2022 8:35 pm Dismiss File Added: 11.save
Jul 21, 2022 8:29 pm Dismiss Note Added: 0067107
Aug 6, 2022 10:48 pm BadgerBadger Assigned To => BadgerBadger
Aug 6, 2022 10:48 pm BadgerBadger Status new => resolved
Aug 6, 2022 10:48 pm BadgerBadger Resolution open => fixed
Aug 6, 2022 10:48 pm BadgerBadger Fixed in Version => 5.504
Aug 6, 2022 10:48 pm BadgerBadger Note Added: 0067130
Aug 7, 2022 9:40 am Daniexpert Relationship added has duplicate 0027551